CN.resolve() is returning SystemMetadata instead of ObjectLocationList

2015-05-07 19:29 - Andrei Buium

Status: Closed Start date: 2015-05-07

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Calling CN.resolve() from libclient yields an exception:

java.lang.AssertionError: org.dataone.service.types.v2.SystemMetadata cannot be cast to

org.dataone.service.types.v1.ObjectLocationList

It was found running testResolve() from SidCNTestImplementations.java against https://cn-dev-ucsb-1.test.dataone.org/cn/v2

Note: curl with or without -L (to disable following the redirect) returns "... <d1_v2.0:systemMetadata ..."

Tested with sid:

 https://cn-dev-ucsb-1.test.dataone.org/cn/v2/resolve/S1_2015127122128447

and head pid:

 https://cn-dev-ucsb-1.test.dataone.org/cn/v2/resolve/P2_2015127122128446)

/object/ yields an eml document

History

#1 - 2015-08-13 22:17 - Ben Leinfelder

- % Done changed from 0 to 30

- Status changed from New to In Progress

- Assignee changed from Robert Waltz to Ben Leinfelder

- Target version set to CCI-2.0.0

- Category set to d1_cn_service

I can take  a look at this.

#2 - 2015-08-13 22:19 - Ben Leinfelder

v1 resolve works as expected.

https://cn-dev-ucsb-1.test.dataone.org/cn/v1/resolve/38f9df9c-eb42-449c-af15-75ff4569f918

vs

https://cn-dev-ucsb-1.test.dataone.org/cn/v2/resolve/38f9df9c-eb42-449c-af15-75ff4569f918

#3 - 2015-08-13 23:01 - Ben Leinfelder

- % Done changed from 30 to 100

- Status changed from In Progress to Closed

Needed the ResolveFilterV2 bean to be declared. Note that the example URL that opened this will not work (I think it is because the nodeRefs are

bogus and there is no replica info).
